Bug 69529 - adsl-setup creates a new setup when user wants to edit one
adsl-setup creates a new setup when user wants to edit one
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-22 19:55 EDT by Enrique Perez-Terron
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-22 19:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrique Perez-Terron 2002-07-22 19:55:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
If the user has several setups (ppp0, ppp1, ...) and he wants to edit
ppp1, the script reports an error when comparing the user-specified
device ppp1 agains each existing but different device, e.g. ppp0.
Then the script creates a new setup if the specified one is not found.

Version-Release number of selected component (if applicable):3.4-3


How reproducible:
Always

Steps to Reproduce:
1.Create two or more files /etc/sysconfig/network-scripts/ifcfg-ppp?
  where '?' is e.g. 0, 1, 3, 5. Make sure the files contain DEVICE=ppp?
  as in the file name. Also include TYPE=xDSL and NAME=something lines.
2.Run adsl-setup. The values of DEVICE and NAME are listed for each file.
Specify the last device.
.
3.Repeat step two, but specify a non-existing device.

	

Actual Results:  The program says the device is not found, and asks you to enter 
a correct device. It repeats this message for each device that is
different until it finds the right one.Then the program lets you
edit the specified device

If you specified a non-existing device instead, the program creates one.

Expected Results:  If the device exists, it should not complain.
If it does not exist it should remain in the loop until
you either say 'n' for new (as instructed) or specify 
an exisitng device.

Additional info:

I have a patch against version rp-pppoe-3.4-3:
--- adsl-setup.rawhide.3.4-6    Sun Jun  9 19:05:29 2002
+++ adsl-setup  Tue Jul 23 00:45:01 2002
@@ -149,9 +149,11 @@
            fi
            for i in $devices ; do
                [ "$dsl_device" = "$i" ] && break
-               $ECHO "Device '$dsl_device' is not found in the list, please
choose the correct one"
            done
-           break
+           if [ "$dsl_device" = "$i" ] ; then
+               break
+           fi
+           $ECHO "Device '$dsl_device' is not found in the list, please choose
the correct one"
        fi
     done
 else
Comment 1 Ngo Than 2002-08-01 12:10:36 EDT
it's fixed in rp-pppoe-3.4-7. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.